
@echo off
echo ClearMixerDemo, ClearMixerSender installation script
echo installing...
echo. 


set SCRIPT_DIR=%~dp0
set VST3_32_SRC_PATH="%SCRIPT_DIR%ClearMixerDemo.vst3"
set VST3_64_SRC_PATH="%SCRIPT_DIR%ClearMixerDemo64.vst3"
set VST2_32_SRC_PATH="%SCRIPT_DIR%ClearMixerDemoVst2.dll"
set VST2_64_SRC_PATH="%SCRIPT_DIR%ClearMixerDemo64Vst2.dll"
set VST3_32_DEST_PATH="C:\Program Files (x86)\Common Files\VST3\Steinberg\ClearMixerDemo.vst3"
set VST3_64_DEST_PATH="C:\Program Files\Common Files\VST3\Steinberg\ClearMixerDemo64.vst3"
set VST2_32_DEST_PATH="C:\Program Files (x86)\VstPlugins\ClearMixerDemoVst2.dll"
set VST2_64_DEST_PATH="C:\Program Files (x86)\VstPlugins\ClearMixerDemo64Vst2.dll"

@echo off
call :MyInstall %VST3_32_SRC_PATH% %VST3_32_DEST_PATH%
call :MyInstall %VST3_64_SRC_PATH% %VST3_64_DEST_PATH%
call :MyInstall %VST2_32_SRC_PATH% %VST2_32_DEST_PATH%
call :MyInstall %VST2_64_SRC_PATH% %VST2_64_DEST_PATH%

set SCRIPT_DIR=%~dp0
set VST3_32_SRC_PATH="%SCRIPT_DIR%ClearMixerSender.vst3"
set VST3_64_SRC_PATH="%SCRIPT_DIR%ClearMixerSender64.vst3"
set VST2_32_SRC_PATH="%SCRIPT_DIR%ClearMixerSenderVst2.dll"
set VST2_64_SRC_PATH="%SCRIPT_DIR%ClearMixerSender64Vst2.dll"
set VST3_32_DEST_PATH="C:\Program Files (x86)\Common Files\VST3\Steinberg\ClearMixerSender.vst3"
set VST3_64_DEST_PATH="C:\Program Files\Common Files\VST3\Steinberg\ClearMixerSender64.vst3"
set VST2_32_DEST_PATH="C:\Program Files (x86)\VstPlugins\ClearMixerSenderVst2.dll"
set VST2_64_DEST_PATH="C:\Program Files (x86)\VstPlugins\ClearMixerSender64Vst2.dll"

@echo off
call :MyInstall %VST3_32_SRC_PATH% %VST3_32_DEST_PATH%
call :MyInstall %VST3_64_SRC_PATH% %VST3_64_DEST_PATH%
call :MyInstall %VST2_32_SRC_PATH% %VST2_32_DEST_PATH%
call :MyInstall %VST2_64_SRC_PATH% %VST2_64_DEST_PATH%


@echo off
echo. 
echo done.
echo. 
echo Thank you for downloading ClearMixerDemo, ClearMixerSender.
echo VST2 and VST3 are installed into default location.
echo If they cannot be found from DAW, please copy VST files in this directory to any locations your DAW knows.
echo If you have any troubles, please contact us.
echo.
echo Contact info
echo   E-mail: aimasteringcom@gmail.com
echo   Twitter: https://twitter.com/ai_mastering
echo.
echo Contact info for Japanese
echo   E-mail: bakuagekun@gmail.com
echo   Twitter: https://twitter.com/bakuagecom
echo.
pause
exit /b

:MyInstall
echo F | xcopy %1 %2 /y
if errorlevel 6 (
  echo Failed to install %2 because of unknown error.
  exit /b
)
if errorlevel 5 (
  echo Failed to install %2 because of disk write error.
  exit /b
)
if errorlevel 4 (
  echo Failed to install %2 because of out of memory, disk full, file lock, or invalid path.
  exit /b
)
if errorlevel 2 (
  echo Failed to install %2 because of user interruption.
  exit /b
)
if errorlevel 1 (
  echo Failed to install %2 because the source file %1 is not found.
  exit /b
)
if errorlevel 0 (
  echo Successfully installed to %2.
  exit /b
)
